Class | Chef::Application::WindowsService
In: | lib/chef/application/windows_service.rb
Parent: | ::Win32::Daemon

### Methods

service_init service_main service_pause service_resume service_shutdown service_stop

### Included Modules

Mixlib::CLI

### Public Instance methods

service_init()
service_main(*startup_parameters)
service_pause()
service_resume()
service_shutdown()
service_stop()

Control Signal Callback Methods

[Validate]